create or replace package body EMAILER is

 g_smtphost varchar2(500);
 g_helo varchar2(500);
 
 procedure set_smtphost(p_smtphost in varchar2)
 is
 begin
   g_smtphost:= p_smtphost;
 end set_smtphost;

 procedure set_helo(p_helo in varchar2)
 is
 begin
   g_helo:= p_helo;
 end set_helo;


 
 procedure send_email
 ( p_sender    in varchar2
 , p_recipient in varchar2
 , p_subject   in varchar2
 , p_message   in varchar2
 ) is
   c utl_smtp.connection; 
   
   PROCEDURE send_header(name IN VARCHAR2, header IN VARCHAR2) 
   AS 
   BEGIN 
     utl_smtp.write_data(c, name || ': ' || header || utl_tcp.CRLF); 
   END; 

 BEGIN 
   c := utl_smtp.open_connection(g_smtphost);
   utl_smtp.helo(c, g_helo); 
   utl_smtp.mail(c, p_sender); 
   utl_smtp.rcpt(c, p_recipient); 
   utl_smtp.open_data(c); 
--   send_header('From', '"From me!" <jellema@amis.nl>');  
 --  send_header('To', '"TO YOU" <jellema@amis.nl>');
   send_header('Subject', p_subject); 
   utl_smtp.write_data(c, utl_tcp.CRLF || p_message);
   utl_smtp.close_data(c); 
   utl_smtp.quit(c); 
 End send_email;
 
end EMAILER;
