create or replace package HRM_SALARY_RULES is

  -- Author  : LUCAS_J
  -- Created : 2/27/2006 11:35:33 AM
  -- Purpose : Business Rules and Calculations related to salaries
  
  procedure set_salessalarycap( p_salessalarycap in number);
  
  function verify_salary_raise( p_job in varchar2, p_old_salary in number, p_new_salary in number)
  return boolean;
  
  function verify_job_change( p_old_job in varchar2, p_new_job in varchar2)
  return boolean;

end HRM_SALARY_RULES;
